Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class AbstractByteArrayReadBuffer.ByteArrayBufferInput

`java.lang.Object
java.io.InputStream
com.tangosol.io.AbstractReadBuffer.AbstractBufferInput
com.tangosol.io.AbstractByteArrayReadBuffer.ByteArrayBufferInput`

All Implemented Interfaces:
  InputStreaming, ReadBuffer.BufferInput, Closeable, DataInput

Enclosing class:
  AbstractByteArrayReadBuffer

      public final class AbstractByteArrayReadBuffer.ByteArrayBufferInput

extends AbstractReadBuffer.AbstractBufferInput

This is a simple implementation of the BufferInput interface on top of a byte array.

This implementation extends InputStream, but only so that it can be passed to anything that takes an InputStream.

Constructor Summary
`AbstractByteArrayReadBuffer.ByteArrayBufferInput()` Default constructor.

Method Summary
`protected String` | `convertUTF(int of, int cb)` Convert a UTF-8 encoded section of the binary stream into a String.
`int` | `read()` Read the next byte of data from the InputStream. The value byte is returned as an `int` in the range `0` to `255`. If the end of the stream has been reached, the value `-1` is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.
`int` | `read(byte[] ab, int of, int cb)` Read up to `cb` bytes from the input stream and store them into the passed array `ab` starting at offset `of`. The number of bytes actually read is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.
`byte` | `readByte()` Read a byte value. This method is the counterpart for the `DataOutput.writeByte(int)` method.
`int` | `readInt()` Read an int value. This method is the counterpart for the `DataOutput.writeInt(int)` method.
`long` | `readLong()` Read a long value. This method is the counterpart for the `DataOutput.writeLong(long)` method.
`int` | `readPackedInt()` Read an int value using a variable-length storage format as described by `WriteBuffer.BufferOutput.writePackedInt(int)`.
`long` | `readPackedLong()` Read a long value using a variable-length storage format as described by `WriteBuffer.BufferOutput.writePackedLong(long)`.
`int` | `readUnsignedShort()` Read an unsigned short value. This method is the counterpart for the `DataOutput.writeShort(int)` method when it is used with unsigned 16-bit values.

Methods inherited from class com.tangosol.io.AbstractReadBuffer.AbstractBufferInput
`adjustOffsetInternal, available, close, getBuffer, getCharBuf, getMarkInternal, getOffset, mark, markSupported, read, readBoolean, readBuffer, readChar, readDouble, readFloat, readFully, readFully, readLine, readSafeUTF, readShort, readUnsignedByte, readUTF, readUTF, reset, setMarkInternal, setOffset, setOffsetInternal, skip, skipBytes`

Constructor Detail

### AbstractByteArrayReadBuffer.ByteArrayBufferInput

    public AbstractByteArrayReadBuffer.ByteArrayBufferInput()

  Default constructor.

Method Detail

### read

    public int read()
             throws IOException

  Read the next byte of data from the InputStream. The value byte is returned as an `int` in the range `0` to `255`. If the end of the stream has been reached, the value `-1` is returned.

  This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in interface `InputStreaming`
  Overrides:
    `read` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    the next byte of data, or `-1` if the end of the stream has been reached
  Throws:
    `IOException` - if an I/O error occurs

### read

    public int read(byte[] ab,
                    int of,
                    int cb)
             throws IOException

  Read up to `cb` bytes from the input stream and store them into the passed array `ab` starting at offset `of`. The number of bytes actually read is returned.

  This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

  Specified by:
    `read` in interface `InputStreaming`
  Overrides:
    `read` in class `AbstractReadBuffer.AbstractBufferInput`
  Parameters:
    `ab` - the array to store the bytes which are read from the stream
    `of` - the offset into the array that the read bytes will be stored
    `cb` - the maximum number of bytes to read
  Returns:
    the number of bytes read from the stream, or `-1` if no bytes were read from the stream because the end of the stream had been reached
  Throws:
    `IOException` - if an I/O error occurs

### readByte

    public byte readByte()
                  throws IOException

  Read a byte value.

  This method is the counterpart for the `DataOutput.writeByte(int)` method.

  Specified by:
    `readByte` in interface `ReadBuffer.BufferInput`
  Specified by:
    `readByte` in interface `DataInput`
  Overrides:
    `readByte` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    a `byte` value
  Throws:
    `EOFException` - if the value could not be read because no more data remains to be read
    `IOException` - if an I/O error occurs

### readUnsignedShort

    public int readUnsignedShort()
                          throws IOException

  Read an unsigned short value.

  This method is the counterpart for the `DataOutput.writeShort(int)` method when it is used with unsigned 16-bit values.

  Specified by:
    `readUnsignedShort` in interface `ReadBuffer.BufferInput`
  Specified by:
    `readUnsignedShort` in interface `DataInput`
  Overrides:
    `readUnsignedShort` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    an `int` value in the range of 0x0000 to 0xFFFF
  Throws:
    `EOFException` - if the value could not be read because no more data remains to be read
    `IOException` - if an I/O error occurs

### readInt

    public int readInt()
                throws IOException

  Read an int value.

  This method is the counterpart for the `DataOutput.writeInt(int)` method.

  Specified by:
    `readInt` in interface `ReadBuffer.BufferInput`
  Specified by:
    `readInt` in interface `DataInput`
  Overrides:
    `readInt` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    an `int` value
  Throws:
    `EOFException` - if the value could not be read because no more data remains to be read
    `IOException` - if an I/O error occurs

### readLong

    public long readLong()
                  throws IOException

  Read a long value.

  This method is the counterpart for the `DataOutput.writeLong(long)` method.

  Specified by:
    `readLong` in interface `ReadBuffer.BufferInput`
  Specified by:
    `readLong` in interface `DataInput`
  Overrides:
    `readLong` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    a `long` value
  Throws:
    `EOFException` - if the value could not be read because no more data remains to be read
    `IOException` - if an I/O error occurs

### readPackedInt

    public int readPackedInt()
                      throws IOException

  Read an int value using a variable-length storage format as described by `WriteBuffer.BufferOutput.writePackedInt(int)`.
  Specified by:
    `readPackedInt` in interface `ReadBuffer.BufferInput`
  Overrides:
    `readPackedInt` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    an int value
  Throws:
    `IOException` - if an I/O error occurs

### readPackedLong

    public long readPackedLong()
                        throws IOException

  Read a long value using a variable-length storage format as described by `WriteBuffer.BufferOutput.writePackedLong(long)`.
  Specified by:
    `readPackedLong` in interface `ReadBuffer.BufferInput`
  Overrides:
    `readPackedLong` in class `AbstractReadBuffer.AbstractBufferInput`
  Returns:
    a long value
  Throws:
    `IOException` - if an I/O error occurs

### convertUTF

    protected String convertUTF(int of,
                                int cb)
                         throws IOException

  Convert a UTF-8 encoded section of the binary stream into a String.
  Overrides:
    `convertUTF` in class `AbstractReadBuffer.AbstractBufferInput`
  Parameters:
    `of` - the offset within the stream
    `cb` - the length in bytes within the stream
  Returns:
    the String value
  Throws:
    `IOException`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.